NioEndpoint.KeyAttachment (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.NioEndpoint.KeyAttachment class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class NioEndpoint.KeyAttachment

    java.lang.Object
      org.apache.tomcat.util.net.NioEndpoint.KeyAttachment

Enclosing class:
  NioEndpoint

    public static class NioEndpoint.KeyAttachment

extends java.lang.Object

Field Summary
`protected NioChannel` | `channel`
`protected boolean` | `comet`
`protected boolean` | `cometNotify`
`protected int` | `cometOps`
`protected boolean` | `currentAccess`
`protected boolean` | `error`
`protected int` | `interestOps`
`protected long` | `lastAccess`
`protected long` | `lastRegistered`
`protected NioEndpoint.Poller` | `poller`
`protected java.util.concurrent.CountDownLatch` | `readLatch`
`protected NioEndpoint.SendfileData` | `sendfileData`
`protected long` | `timeout`
`protected java.util.concurrent.CountDownLatch` | `writeLatch`

Constructor Summary
`NioEndpoint.KeyAttachment()`

Method Summary
`void` | `access()`
`void` | `access(long access)`
`protected void` | `awaitLatch(java.util.concurrent.CountDownLatch latch, long timeout, java.util.concurrent.TimeUnit unit)`
`void` | `awaitReadLatch(long timeout, java.util.concurrent.TimeUnit unit)`
`void` | `awaitWriteLatch(long timeout, java.util.concurrent.TimeUnit unit)`
`NioChannel` | `getChannel()`
`boolean` | `getComet()`
`boolean` | `getCometNotify()`
`int` | `getCometOps()`
`boolean` | `getCurrentAccess()`
`boolean` | `getError()`
`long` | `getLastAccess()`
`long` | `getLastRegistered()`
`NioEndpoint.Poller` | `getPoller()`
`java.util.concurrent.CountDownLatch` | `getReadLatch()`
`NioEndpoint.SendfileData` | `getSendfileData()`
`long` | `getTimeout()`
`java.util.concurrent.CountDownLatch` | `getWriteLatch()`
`int` | `interestOps()`
`int` | `interestOps(int ops)`
`void` | `reset()`
`void` | `reset(NioEndpoint.Poller poller, NioChannel channel, long soTimeout)`
`protected java.util.concurrent.CountDownLatch` | `resetLatch(java.util.concurrent.CountDownLatch latch)`
`void` | `resetReadLatch()`
`void` | `resetWriteLatch()`
`void` | `setChannel(NioChannel channel)`
`void` | `setComet(boolean comet)`
`void` | `setCometNotify(boolean notify)`
`void` | `setCometOps(int ops)`
`void` | `setCurrentAccess(boolean access)`
`void` | `setError(boolean error)`
`void` | `setLastRegistered(long reg)`
`void` | `setPoller(NioEndpoint.Poller poller)`
`void` | `setSendfileData(NioEndpoint.SendfileData sf)`
`void` | `setTimeout(long timeout)`
`protected java.util.concurrent.CountDownLatch` | `startLatch(java.util.concurrent.CountDownLatch latch, int cnt)`
`void` | `startReadLatch(int cnt)`
`void` | `startWriteLatch(int cnt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### poller

    protected NioEndpoint.Poller poller

### interestOps

    protected int interestOps

### lastAccess

    protected long lastAccess

### currentAccess

    protected boolean currentAccess

### comet

    protected boolean comet

### cometOps

    protected int cometOps

### cometNotify

    protected boolean cometNotify

### timeout

    protected long timeout

### error

    protected boolean error

### channel

    protected NioChannel channel

### readLatch

    protected java.util.concurrent.CountDownLatch readLatch

### writeLatch

    protected java.util.concurrent.CountDownLatch writeLatch

### lastRegistered

    protected long lastRegistered

### sendfileData

    protected NioEndpoint.SendfileData sendfileData

Constructor Detail

### NioEndpoint.KeyAttachment

    public NioEndpoint.KeyAttachment()

Method Detail

### reset

    public void reset(NioEndpoint.Poller poller,
                      NioChannel channel,
                      long soTimeout)

### reset

    public void reset()

### getPoller

    public NioEndpoint.Poller getPoller()

### setPoller

    public void setPoller(NioEndpoint.Poller poller)

### getLastAccess

    public long getLastAccess()

### access

    public void access()

### access

    public void access(long access)

### setComet

    public void setComet(boolean comet)

### getComet

    public boolean getComet()

### setCometNotify

    public void setCometNotify(boolean notify)

### getCometNotify

    public boolean getCometNotify()

### setCometOps

    public void setCometOps(int ops)

### getCometOps

    public int getCometOps()

### getCurrentAccess

    public boolean getCurrentAccess()

### setCurrentAccess

    public void setCurrentAccess(boolean access)

### setTimeout

    public void setTimeout(long timeout)

### getTimeout

    public long getTimeout()

### getError

    public boolean getError()

### setError

    public void setError(boolean error)

### getChannel

    public NioChannel getChannel()

### setChannel

    public void setChannel(NioChannel channel)

### interestOps

    public int interestOps()

### interestOps

    public int interestOps(int ops)

### getReadLatch

    public java.util.concurrent.CountDownLatch getReadLatch()

### getWriteLatch

    public java.util.concurrent.CountDownLatch getWriteLatch()

### resetLatch

    protected java.util.concurrent.CountDownLatch resetLatch(java.util.concurrent.CountDownLatch latch)

### resetReadLatch

    public void resetReadLatch()

### resetWriteLatch

    public void resetWriteLatch()

### startLatch

    protected java.util.concurrent.CountDownLatch startLatch(java.util.concurrent.CountDownLatch latch,
                                                             int cnt)

### startReadLatch

    public void startReadLatch(int cnt)

### startWriteLatch

    public void startWriteLatch(int cnt)

### awaitLatch

    protected void awaitLatch(java.util.concurrent.CountDownLatch latch,
                              long timeout,
                              java.util.concurrent.TimeUnit unit)
                       throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### awaitReadLatch

    public void awaitReadLatch(long timeout,
                               java.util.concurrent.TimeUnit unit)
                        throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### awaitWriteLatch

    public void awaitWriteLatch(long timeout,
                                java.util.concurrent.TimeUnit unit)
                         throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### getLastRegistered

    public long getLastRegistered()

### setLastRegistered

    public void setLastRegistered(long reg)

### setSendfileData

    public void setSendfileData(NioEndpoint.SendfileData sf)

### getSendfileData

    public NioEndpoint.SendfileData getSendfileData()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.